summaryrefslogtreecommitdiffstats
path: root/usr.sbin/pc-sysinstall
diff options
context:
space:
mode:
authorjpaetzel <jpaetzel@FreeBSD.org>2012-05-30 20:49:28 +0000
committerjpaetzel <jpaetzel@FreeBSD.org>2012-05-30 20:49:28 +0000
commit747595cb72e908946de78a06c4d1a00f72b6cea3 (patch)
tree793dc448ed2ade47fadbc990522bab65c29529e0 /usr.sbin/pc-sysinstall
parent1f821241a7c0eb18579e5252c06ce534e2c02464 (diff)
downloadFreeBSD-src-747595cb72e908946de78a06c4d1a00f72b6cea3.zip
FreeBSD-src-747595cb72e908946de78a06c4d1a00f72b6cea3.tar.gz
Fix detecting available zpool names.
Submitted by: kmoore Obtained from: PC-BSD MFC after: 3 days Sponsored by: iXsystems
Diffstat (limited to 'usr.sbin/pc-sysinstall')
-rwxr-xr-xusr.sbin/pc-sysinstall/backend/functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/usr.sbin/pc-sysinstall/backend/functions.sh b/usr.sbin/pc-sysinstall/backend/functions.sh
index 199faf2..33d0005 100755
--- a/usr.sbin/pc-sysinstall/backend/functions.sh
+++ b/usr.sbin/pc-sysinstall/backend/functions.sh
@@ -277,7 +277,7 @@ get_zpool_name()
while :
do
NEWNAME="${BASENAME}${NUM}"
- zpool import | grep -qw "${NEWNAME}" && break
+ zpool import | grep -qw "${NEWNAME}" || break
NUM=$((NUM+1))
done
OpenPOWER on IntegriCloud